VERSION 5.00
Begin VB.Form Form2 
   Caption         =   "AnimateWindow Demo"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form2"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "Form2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Const AW_HOR_POSITIVE = &H1 'Animates the window from left to right. This flag can be used with roll or slide animation.
Const AW_HOR_NEGATIVE = &H2 'Animates the window from right to left. This flag can be used with roll or slide animation.
Const AW_VER_POSITIVE = &H4 'Animates the window from top to bottom. This flag can be used with roll or slide animation.
Const AW_VER_NEGATIVE = &H8 'Animates the window from bottom to top. This flag can be used with roll or slide animation.
Const AW_CENTER = &H10 'Makes the window appear to collapse inward if AW_HIDE is used or expand outward if the AW_HIDE is not used.
Const AW_HIDE = &H10000 'Hides the window. By default, the window is shown.
Const AW_ACTIVATE = &H20000 'Activates the window.
Const AW_SLIDE = &H40000 'Uses slide animation. By default, roll animation is used.
Const AW_BLEND = &H80000 'Uses a fade effect. This flag can be used only if hwnd is a top-level window.

Private Declare Function AnimateWindow Lib "user32" _
    (ByVal hwnd As Long, _
    ByVal dwTime As Long, _
    ByVal dwFlags As Long) As Boolean
    
Private Sub Form_Load()
    'Set the graphic mode to persistent
    Me.AutoRedraw = True
    If Form1.DoOnLoad = True Then
        If Form1.Option1 = True Then
            DoAnimation Me.hwnd, 1000, AW_BLEND
        ElseIf Form1.Option2 = True Then
            DoAnimation Me.hwnd, 1000, AW_HOR_POSITIVE Or AW_SLIDE
        ElseIf Form1.Option3 = True Then
            DoAnimation Me.hwnd, 1000, AW_HOR_NEGATIVE Or AW_SLIDE
        ElseIf Form1.Option4 = True Then
            DoAnimation Me.hwnd, 1000, AW_CENTER
        ElseIf Form1.Option5 = True Then
            DoAnimation Me.hwnd, 1000, AW_VER_POSITIVE Or AW_SLIDE
        ElseIf Form1.Option6 = True Then
            DoAnimation Me.hwnd, 1000, AW_VER_NEGATIVE Or AW_SLIDE
        End If
    Else
        Me.Print "Check effect on form unload"
    End If
    Me.Refresh
End Sub

Private Sub Form_Unload(Cancel As Integer)
    If Form1.DoOnLoad = False Then
        If Form1.Option1 = True Then
            DoAnimation Me.hwnd, 1000, AW_BLEND Or AW_HIDE
        ElseIf Form1.Option2 = True Then
            DoAnimation Me.hwnd, 1000, AW_HOR_POSITIVE Or AW_SLIDE Or AW_HIDE
        ElseIf Form1.Option3 = True Then
            DoAnimation Me.hwnd, 1000, AW_HOR_NEGATIVE Or AW_SLIDE Or AW_HIDE
        ElseIf Form1.Option4 = True Then
            DoAnimation Me.hwnd, 1000, AW_CENTER Or AW_HIDE
        ElseIf Form1.Option5 = True Then
            DoAnimation Me.hwnd, 1000, AW_VER_POSITIVE Or AW_SLIDE Or AW_HIDE
        ElseIf Form1.Option6 = True Then
            DoAnimation Me.hwnd, 1000, AW_VER_NEGATIVE Or AW_SLIDE Or AW_HIDE
        End If
    End If
    
    'Unload our form completely
    Set Form2 = Nothing
End Sub
Sub DoAnimation(Win_hWnd As Long, AnimationTime As Long, flag As Long)
    AnimateWindow Win_hWnd, AnimationTime, flag
End Sub
